package com.xjgs.exception;

/**
 * @description:  这是一个列举异常信息的枚举类
 * @author: ChenJ
 * @date: 2022/5/9 17:31
 **/
public enum ExceptionCode {
    /**
     * 服务器开小差了，请稍后再试
     */
    WRONG_PARAMS("参数不对", 1001),
    ;

    private final String message;
    private final Integer code;

    ExceptionCode(String message, int code) {
        this.message = message;
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public Integer getCode() {
        return code;
    }
}
